# Retrieve a metafield definition constraint type

> Retrieve a single constraint type.

`GET /rest/api/metafield_definition_constraint_types/{id}`

Retrieves a MetafieldDefinitionConstraintType resource.

Returns a single metafield definition constraint type by id.

## Headers

| Name                         | Type     | Required | Description                                                                                                                                      |
| ---------------------------- | -------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `X-Flowkiwi-Organization-Id` | `string` | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance. |

## Path parameters

| Name | Type     | Required | Description                                  |
| ---- | -------- | -------- | -------------------------------------------- |
| `id` | `string` | Yes      | MetafieldDefinitionConstraintType identifier |

## Response

**200** - MetafieldDefinitionConstraintType resource

| Property      | Type     | Required | Description                                          |
| ------------- | -------- | -------- | ---------------------------------------------------- |
| `@context`    | `object` | -        |                                                      |
| `@id`         | `string` | Yes      |                                                      |
| `@type`       | `string` | Yes      |                                                      |
| `id`          | `string` | -        | The constraint type identifier (e.g. `category`).    |
| `description` | `string` | -        | A human-readable description of the constraint type. |

## Errors

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/metafield_definition_constraint_types/<product_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/MetafieldDefinitionConstraintType",
  "@id": "/rest/api/metafield_definition_constraint_types/category",
  "@type": "https://schema.org/Enumeration",
  "id": "category",
  "description": "Constraint based on category"
}
```
